<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-337"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FTabbar%2FXHXTabItem.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Tabbar/XHXTabItem.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_tab_item_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXTabItem.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_tab_item_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXTabItem.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  AAA</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Topredator on 2018/7/9.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="_x_h_x_tab_item_8h.html#a59af60ea3a7bc8d0fd660c1532d82bc1">   13</a></span>&nbsp;<span class="keyword">typedef</span> <a class="code" href="_x_h_x_tab_item_8h.html#a59af60ea3a7bc8d0fd660c1532d82bc1">NS_ENUM</a>(NSInteger, XHXTabItemBadgeStyle) {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;    XHXTabItemBadgeStyleNumber = 0, <span class="comment">// 数字样式</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;    XHXTabItemBadgeStyleDot = 1, <span class="comment">// 小圆点</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;};</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html">   18</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a> : UIButton</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a08253c9a12a99efaea62c0a780c0b2d4">   21</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) BOOL <a class="code" href="interface_x_h_x_tab_item.html#a08253c9a12a99efaea62c0a780c0b2d4">showRedDotView</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a485535167e4dbd46cad6ac3ac4ff8795">   24</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) NSUInteger <a class="code" href="interface_x_h_x_tab_item.html#a485535167e4dbd46cad6ac3ac4ff8795">index</a>;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">   26</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">title</a>;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#ae58d9371b2ed6106157e8c003fc81575">   28</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tab_item.html#ae58d9371b2ed6106157e8c003fc81575">titleColor</a>;</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a44eda8f507be4542e0c88f2d1922aa53">   30</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tab_item.html#a44eda8f507be4542e0c88f2d1922aa53">titleSelectedColor</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a2d7c12dc00137ed497d011bbb7e47d42">   32</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIFont *<a class="code" href="interface_x_h_x_tab_item.html#a2d7c12dc00137ed497d011bbb7e47d42">titleFont</a>;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a13101877e531481c02d2879cd6175b31">   34</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIFont *<a class="code" href="interface_x_h_x_tab_item.html#a13101877e531481c02d2879cd6175b31">titleSelectedFont</a>;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a28dff36fdedd88d649ef550273b2c0c7">   36</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign, readonly) CGFloat <a class="code" href="interface_x_h_x_tab_item.html#a28dff36fdedd88d649ef550273b2c0c7">titleWidth</a>;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#ad75b02b5f65abc7a35d53c00ae2c4611">   38</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIImage *<a class="code" href="interface_x_h_x_tab_item.html#ad75b02b5f65abc7a35d53c00ae2c4611">image</a>;</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a7972d2819df985331c1a8277164453aa">   40</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIImage *<a class="code" href="interface_x_h_x_tab_item.html#a7972d2819df985331c1a8277164453aa">selectedImage</a>;</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">   42</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) XHXTabItemBadgeStyle <a class="code" href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">badgeStyle</a>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp; </div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a522f703cb76fe2c1f03eaaf6fd4bec8f">   50</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) NSInteger <a class="code" href="interface_x_h_x_tab_item.html#a522f703cb76fe2c1f03eaaf6fd4bec8f">badge</a>;</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#ab613244a886c525301c2aa9f2ae16c77">   52</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tab_item.html#ab613244a886c525301c2aa9f2ae16c77">badgeBackgroundColor</a>;</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#ab73649854948706a960367dcc44b495c">   54</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tab_item.html#ab73649854948706a960367dcc44b495c">badgeTitleColor</a>;</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#ab57c48fe8ad0136bc61f413ba2e3a8d4">   56</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIFont *<a class="code" href="interface_x_h_x_tab_item.html#ab57c48fe8ad0136bc61f413ba2e3a8d4">badgeTitleFont</a>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">   58</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGSize <a class="code" href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">size</a>;</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#af68569a7e64f43a1dd836709ac5f8000">   60</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) UIEdgeInsets <a class="code" href="interface_x_h_x_tab_item.html#af68569a7e64f43a1dd836709ac5f8000">indicatorInsets</a>;</div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a841b358e067bc7dd8fda51d1689651a9">   62</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign, readonly) CGRect <a class="code" href="interface_x_h_x_tab_item.html#a841b358e067bc7dd8fda51d1689651a9">indicatorFrame</a>;</div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a1e6d0518a20a2d131ec90a1790a90da7">   67</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign, readonly) CGRect <a class="code" href="interface_x_h_x_tab_item.html#a1e6d0518a20a2d131ec90a1790a90da7">frameWithOutTransform</a>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp; </div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#ab5451a1bf1cff57b201d120ab47d8014">   70</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign, getter=isContentHorizontalCenter) BOOL <a class="code" href="interface_x_h_x_tab_item.html#ab5451a1bf1cff57b201d120ab47d8014">contentHorizontalCenter</a>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&nbsp;- (void)setContentHorizontalCenterWithVerticalOffset:(CGFloat)verticalOffset</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;                                             spacing:(CGFloat)spacing;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;- (void)setNumberBadgeMarginTop:(CGFloat)marginTop</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp;              centerMarginRight:(CGFloat)centerMarginRight</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp;            titleHorizonalSpace:(CGFloat)titleHorizonalSpace</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;             titleVerticalSpace:(CGFloat)titleVerticalSpace;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;- (void)setDotBadgeMarginTop:(CGFloat)marginTop</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp;           centerMarginRight:(CGFloat)centerMarginRight</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;                  sideLength:(CGFloat)sideLength;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a7972d2819df985331c1a8277164453aa"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a7972d2819df985331c1a8277164453aa">XHXTabItem::selectedImage</a></div><div class="ttdeci">UIImage * selectedImage</div><div class="ttdoc">选中时的图片</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:40</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a2d7c12dc00137ed497d011bbb7e47d42"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a2d7c12dc00137ed497d011bbb7e47d42">XHXTabItem::titleFont</a></div><div class="ttdeci">UIFont * titleFont</div><div class="ttdoc">文字font</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:32</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ae58d9371b2ed6106157e8c003fc81575"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ae58d9371b2ed6106157e8c003fc81575">XHXTabItem::titleColor</a></div><div class="ttdeci">UIColor * titleColor</div><div class="ttdoc">文字颜色</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:28</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a522f703cb76fe2c1f03eaaf6fd4bec8f"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a522f703cb76fe2c1f03eaaf6fd4bec8f">XHXTabItem::badge</a></div><div class="ttdeci">NSInteger badge</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:50</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a75fb03365b5bc1137c35d2998d633a4c"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">XHXTabItem::badgeStyle</a></div><div class="ttdeci">XHXTabItemBadgeStyle badgeStyle</div><div class="ttdoc">badge类型 2种：数字，小圆点</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:42</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a1e6d0518a20a2d131ec90a1790a90da7"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a1e6d0518a20a2d131ec90a1790a90da7">XHXTabItem::frameWithOutTransform</a></div><div class="ttdeci">CGRect frameWithOutTransform</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:67</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a28dff36fdedd88d649ef550273b2c0c7"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a28dff36fdedd88d649ef550273b2c0c7">XHXTabItem::titleWidth</a></div><div class="ttdeci">CGFloat titleWidth</div><div class="ttdoc">文字的宽</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:36</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ab57c48fe8ad0136bc61f413ba2e3a8d4"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ab57c48fe8ad0136bc61f413ba2e3a8d4">XHXTabItem::badgeTitleFont</a></div><div class="ttdeci">UIFont * badgeTitleFont</div><div class="ttdoc">badge文字font</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:56</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a841b358e067bc7dd8fda51d1689651a9"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a841b358e067bc7dd8fda51d1689651a9">XHXTabItem::indicatorFrame</a></div><div class="ttdeci">CGRect indicatorFrame</div><div class="ttdoc">指示器的位置</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:62</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a44eda8f507be4542e0c88f2d1922aa53"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a44eda8f507be4542e0c88f2d1922aa53">XHXTabItem::titleSelectedColor</a></div><div class="ttdeci">UIColor * titleSelectedColor</div><div class="ttdoc">选中的文字颜色</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:30</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a376939eb36f04aba04eae9a1657f990c"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">XHXTabItem::size</a></div><div class="ttdeci">CGSize size</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:58</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_af84f8f8b976263383b219556346f1c05"><div class="ttname"><a href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">XHXTabItem::title</a></div><div class="ttdeci">NSString * title</div><div class="ttdoc">文字</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:26</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html"><div class="ttname"><a href="interface_x_h_x_tab_item.html">XHXTabItem</a></div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:19</div></div>
<div class="ttc" id="a_x_h_x_tab_item_8h_html_a59af60ea3a7bc8d0fd660c1532d82bc1"><div class="ttname"><a href="_x_h_x_tab_item_8h.html#a59af60ea3a7bc8d0fd660c1532d82bc1">NS_ENUM</a></div><div class="ttdeci">typedef NS_ENUM(NSInteger, XHXTabItemBadgeStyle)</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:13</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a13101877e531481c02d2879cd6175b31"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a13101877e531481c02d2879cd6175b31">XHXTabItem::titleSelectedFont</a></div><div class="ttdeci">UIFont * titleSelectedFont</div><div class="ttdoc">选中的文字font</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:34</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ab613244a886c525301c2aa9f2ae16c77"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ab613244a886c525301c2aa9f2ae16c77">XHXTabItem::badgeBackgroundColor</a></div><div class="ttdeci">UIColor * badgeBackgroundColor</div><div class="ttdoc">badge背景颜色</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:52</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_af68569a7e64f43a1dd836709ac5f8000"><div class="ttname"><a href="interface_x_h_x_tab_item.html#af68569a7e64f43a1dd836709ac5f8000">XHXTabItem::indicatorInsets</a></div><div class="ttdeci">UIEdgeInsets indicatorInsets</div><div class="ttdoc">设置指示器的边距嵌入</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:60</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ad75b02b5f65abc7a35d53c00ae2c4611"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ad75b02b5f65abc7a35d53c00ae2c4611">XHXTabItem::image</a></div><div class="ttdeci">UIImage * image</div><div class="ttdoc">图片</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:38</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ab73649854948706a960367dcc44b495c"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ab73649854948706a960367dcc44b495c">XHXTabItem::badgeTitleColor</a></div><div class="ttdeci">UIColor * badgeTitleColor</div><div class="ttdoc">badge文字颜色</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:54</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a485535167e4dbd46cad6ac3ac4ff8795"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a485535167e4dbd46cad6ac3ac4ff8795">XHXTabItem::index</a></div><div class="ttdeci">NSUInteger index</div><div class="ttdoc">在父视图中的下标</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:24</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a08253c9a12a99efaea62c0a780c0b2d4"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a08253c9a12a99efaea62c0a780c0b2d4">XHXTabItem::showRedDotView</a></div><div class="ttdeci">BOOL showRedDotView</div><div class="ttdoc">是否显示右上角的小红点</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:21</div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ab5451a1bf1cff57b201d120ab47d8014"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ab5451a1bf1cff57b201d120ab47d8014">XHXTabItem::contentHorizontalCenter</a></div><div class="ttdeci">BOOL contentHorizontalCenter</div><div class="ttdoc">设置 Image与title 水平居中</div><div class="ttdef"><b>Definition:</b> XHXTabItem.h:70</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_5a6fa6b06eb7a9bfa4829bcd355383de.html">Tabbar</a></li><li class="navelem"><a class="el" href="_x_h_x_tab_item_8h.html">XHXTabItem.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>